{
    static VCHUDSPEC hud_pilot  = {1, 52,{0.3,0,29.5381},0.38};
	SetCameraOffset (_V(0.55,2.04,27.93));
	SetCameraDefaultDirection(_V(0, 0, 1)); // View angles down so you can see the
	//	MFD in VC view by default (it is the sine and cosine of 11 in Y and Z, respectively).
	
	mfds_left.nmesh = 1;	//	The mesh number (the first one loaded, or 0, in this case).
	mfds_left.ngroup  = 0;	//	The mesh group that is the MFD screen in the above identified mesh.
	
	int i;
	switch (id) {
	case 0:	//	The first VC cockpit view (id 0). Carefull with mixing up id.
			//	There are more references to id in the code, but what they identify is 
			//	according to the specific callback. For example, in clbkVCMouseEvent,
			//	id is the identity of the MFD buttons, not the cockpit view. 
		oapiVCRegisterMFD (MFD_LEFT, &mfds_left);
		
		SURFHANDLE MFDbuttons1 = oapiGetTextureHandle (DVCInterior,2); 
		//	Get the MFDButtons.dds D texture for redrawing purposes.

		oapiVCRegisterArea (AID_MFD1_LBUTTONS, _R( 0, 0, 32, 220), PANEL_REDRAW_USER, PANEL_MOUSE_IGNORE, PANEL_MAP_BACKGROUND, MFDbuttons1);		
			
		oapiVCRegisterArea (AID_MFD1_RBUTTONS, _R( 32, 0, 64, 220), PANEL_REDRAW_USER, PANEL_MOUSE_IGNORE, PANEL_MAP_BACKGROUND, MFDbuttons1);
		
		//	These area registrations are for redrawing purposes only, and are used by 
		//	the clbkVCRedrawEvent. The _R(X1, Y1, X2, Y2) coordinates pertain to the
		//	texture coordinates on the MFDButtons.dds texture (in PIXELS), which is the 
		//	dynamic texture that SURFHANDLE MFDbuttons1 gets from the mesh file.
		//	Note that as the bottom buttons are not ever redrawn, no registration of
		//	them for texture coords is needed.
		//	Have a look at the clbkMFDMode and clbkVCRedrawEvent. 
		//	The only areas triggered for redrawing and then redrawn are
		//	those two registered above (AID_MFD1_LBUTTONS and AID_MFD1_RBUTTONS.
		//	And have a look at the definitions in the AstroMatiz.h file. You will see their
		//	id's that are passed to the preprocessor during compile.
		
		//	For reference, here are the rectangular area 3D coordinates of the 
		//	left, right and bottom MFD buttons, in MESH coordinates. You WILL need to
		//	get this info, if you want to make your own VC work properly. 
		//	(Use Meshwizard, or go into the mesh file itself and find them).
		//				The mesh area of the 6 left buttons of MFD_LEFT
		//					_V(-0.32f, 0.067f, 0.654f),
		//					_V(-0.30f, 0.067f, 0.654f),
		//					_V(-0.32f, -0.080f, 0.643f),
		//					_V(-0.30f, -0.080f, 0.643f));
		//				The mesh area of the 6 right buttons of MFD_LEFT
		//					_V(-0.117f, 0.067f, 0.654f),
		//					_V(-0.097f, 0.067f, 0.654f),
		//					_V(-0.117f, -0.080f, 0.643f),
		//					_V(-0.097f, -0.080f, 0.643f));
		//				The mesh area of the three bottom buttons of MFD_LEFT
		//					_V(-0.267f, -0.095f, 0.642f),
		//					_V(-0.158f, -0.095f, 0.642f),
		//					_V(-0.267f, -0.114f, 0.641f),
		//					_V(-0.158f, -0.114f, 0.641f));
		
		for (i = 0; i < 6; i++) {
			oapiVCRegisterArea (MFD1_LBUTTON1+i, PANEL_REDRAW_NEVER, PANEL_MOUSE_LBDOWN);
			oapiVCSetAreaClickmode_Spherical(MFD1_LBUTTON1+i, _V(-0.31, 0.0547 - (i * 0.0245), 0.649), 0.0123);
			
			oapiVCRegisterArea (MFD1_RBUTTON1+i, PANEL_REDRAW_NEVER, PANEL_MOUSE_LBDOWN);
			oapiVCSetAreaClickmode_Spherical(MFD1_RBUTTON1+i, _V(-0.107, 0.0547-(i * 0.0245), 0.649), 0.0123);
		}
		//	Define the area for mouse events on each button of left and right columns.

		for (i = 0; i < 3; i++) {
			oapiVCRegisterArea (MFD1_BBUTTON1+i, PANEL_REDRAW_NEVER, PANEL_MOUSE_LBDOWN);
			oapiVCSetAreaClickmode_Spherical(MFD1_BBUTTON1+i, _V(-0.254 + (i * 0.042), -0.100, 0.641), 0.0123);
		}
		//	Define the area for mouse events on the bottom buttons. Coordinates are in
		//	mesh 3D coords (see why you needed to get this info?)
	
	};

	return true;
}