//*****************************************************************
// UCGO 2.0 SDK EXAMPLE by Dansteph
// PLEASE SEE PDF DOC
// ALL SPECIFIC UCGO CODE ARE IN THIS CPP
// AND IN CLASS DECLARATION IN ShuttlePB.h
//*****************************************************************
#include "D9base.h"


// --------------------------------------------------------------
// Set vessel class caps 
// this is a custom clbkSetClassCaps
// called form the real one in ShuttlePB.cpp this to keep
// only UCGO specific code in this one.
// --------------------------------------------------------------
void ShuttleD::clbkSetClassCapsUCgo (void)
{
	//UCGO 2.0 Initialisation, cargo slot pos, rot declaration
	hUcgo.Init(GetHandle());
	// in contrary of the PDF code we declare 6 slots
	// because it's fun :)
	hUcgo.DeclareCargoSlot(0,_V(0,2.6,-3.50),_V(0,0,0)); // slot 0
	hUcgo.DeclareCargoSlot(1,_V(0,1.3,-3.50),_V(0,0,90)); // slot 1
	hUcgo.DeclareCargoSlot(2,_V(0,0,-3.50),_V(0,0,180)); // slot 2 
	hUcgo.DeclareCargoSlot(3,_V( 0,-1.3,-3.50),_V(0,0,270)); // slot 3 
	hUcgo.DeclareCargoSlot(4,_V(0,-2.6,-3.50),_V(0,0,0)); // slot 4 
	hUcgo.DeclareCargoSlot(5,_V( 0,-3.9,-3.50),_V(0,0,0)); // slot 5 

	// UCGO 2.0 Parameters settings
	hUcgo.SetReleaseSpeedInSpace(0.10f);	   // release speed of cargo in space in m/s
	hUcgo.SetMaxCargoMassAcceptable(10000.0);   // max cargo mass in kg that your vessel can carry
	hUcgo.SetGrappleDistance(50);		       // grapple distance radius in meter from center of ship
	hUcgo.SetSlotGroundReleasePos(0 ,_V(-4,2.6,-3.50));
	hUcgo.SetSlotGroundReleasePos(1 ,_V(-4,1.3,-3.50));
	hUcgo.SetSlotGroundReleasePos(2 ,_V(-4,0,-3.50));
	hUcgo.SetSlotGroundReleasePos(3 ,_V(-4,-1.3,-3.50));
	hUcgo.SetSlotGroundReleasePos(4 ,_V(-4,-2.6,-3.50));
	hUcgo.SetSlotGroundReleasePos(5 ,_V(-4,-3.9,-3.50));

	// UCGO Variables initialisation
	cCargoHudDisplay[0]=0;						// Cargo hud display char variable
	dCargHudMessageDelay=0;						// Cargo hud display delay
	iSelectedCargo=-1;							// for the selection of cargos (-1 mean "default" see header)
	// welcome message with keys for users
	strcpy(SendCargHudMessage(),"Cargo key: C/SHF+C = grapple/release, 9/SHF+9 = snc editor add cargo, 8=infos on cargos");
}
// --------------------------------------------------------------
// clbkVisualCreated
// --------------------------------------------------------------
void ShuttleD::clbkVisualCreated (VISHANDLE vis, int refcount)
{
	hUcgo.SetUcgoVisual(vis);	// must be called in clbkVisualCreated.
}